# 官方文档
# https://hub.docker.com/r/haroldli/xiaoya-tvbox
# 详细的部署教程
# https://zhuanlan.zhihu.com/p/673584505
# 默认账号/密码：admin/admin

---
version: "3"
# 最后编辑时间：2024-03-11
services:
  xiaoya-tvbox:
    image: haroldli/xiaoya-tvbox:latest
    # 镜像地址
    container_name: xiaoya-tvbox
    # 容器名字
    hostname: xiaoya-tvbox
    # 主机名
    volumes:
      - /volume1/docker/xiaoya-tvbox/data:/data
      # 数据存储目录
      - /volume1/docker/xiaoya-tvbox/opt/alist/data:/opt/alist/data
      # 内置小雅-ALIST配置目录
      - /volume1/docker/xiaoya-tvbox/opt/atv/data:/opt/atv/data
      # 配置文件目录
    environment:
      - ALIST_PORT=5344
      # 自定义内置的小雅-ALIST的WebUI端口
      - PUID=1000
      - PGID=100
      # 用户和用户组权限，ssh中使用“id 用户名”查看，用户组一般为100(users)
      # 第一个用户而言，群晖为1026，新绿联为1001，linux类系统为1000，后续用户均+1
      - UMASK=022
      # 默认创建新文件的权限，一般写022
      - TZ=Asia/Shanghai
      # 时区
    network_mode: bridge
    # 80端口被占用，不能用host
    ports:
      - 4567:4567/tcp
      # WebUI 端口
      - 5344:80/tcp
      # 内置的小雅ALIST的端口
    restart: unless-stopped
    # 重启策略，可根据实际情况而选择 no/always/unless-stopped/on-failure/on-failure:3